Package org.pentaho.reporting.libraries.formula.lvalues

# Interface DataTable

All Superinterfaces:
  `Cloneable`, `LValue`, `Serializable`

All Known Implementing Classes:
  `DefaultDataTable`

public interface DataTable extends LValue
A database is a two dimensional collection of data, arranged in a table. Although we do not assume that the whole database is held in memory, we allow random access of the data. Columns may have names, but there is no enforced requirement for that. As a database is not just a collection of raw data, this interface returns LValues instead of plain objects. Columns may be computed values using formulas (the exact semantics of adressing database cells in a formula is beyond the scope of this specification and is implementation specific).

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
`String`
`getColumnName(int column)`
`int`
`getRowCount()`
`LValue`
`getValueAt(int row, int column)`

### Methods inherited from interface org.pentaho.reporting.libraries.formula.lvalues.LValue

`clone, evaluate, getChildValues, getParsePosition, getValueType, initialize, isConstant`

## Method Details

### getRowCount

int getRowCount()

### getColumnCount

int getColumnCount()

### getColumnName

String getColumnName(int column)

### getValueAt

LValue getValueAt(int row, int column)